- Qt 5.15
- Qt Sensors
- QML Types
- LightSensor QML Type
- Qt 5.15.19 Reference Documentation

# LightSensor QML Type

The LightSensor element reports on light levels using LUX. More...

Import Statement: | import QtSensors 5.15
Since: | QtSensors 5.0
Inherits: | Sensor

- List of all members, including inherited members

## Properties

- fieldOfView : qreal

## Detailed Description

The LightSensor element reports on light levels using LUX.

This element wraps the QLightSensor class. Please see the documentation for QLightSensor for details.

See also LightReading.

## Property Documentation

fieldOfView : qreal

This property holds a value indicating the field of view.

Please see QLightSensor::fieldOfView for information about this property.